commit:     a1e5f304f2d1565cf670ee352eb1a7397b88b51f
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  4 09:31:28 2018 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Feb  4 09:32:11 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1e5f304

www-servers/tomcat: version bump for slots 7, 8 and 8.5

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 www-servers/tomcat/Manifest                        |   3 +
 .../tomcat/files/tomcat-7.0.84-build.xml.patch     | 161 +++++++++++++
 .../tomcat/files/tomcat-8.0.49-build.xml.patch     | 267 +++++++++++++++++++++
 .../tomcat/files/tomcat-8.5.27-build.xml.patch     | 258 ++++++++++++++++++++
 www-servers/tomcat/tomcat-7.0.84.ebuild            | 146 +++++++++++
 www-servers/tomcat/tomcat-8.0.49.ebuild            | 157 ++++++++++++
 www-servers/tomcat/tomcat-8.5.27.ebuild            | 157 ++++++++++++
 7 files changed, 1149 insertions(+)

diff --git a/www-servers/tomcat/Manifest b/www-servers/tomcat/Manifest
index 98013508714..18f8fa8c5e0 100644
--- a/www-servers/tomcat/Manifest
+++ b/www-servers/tomcat/Manifest
@@ -1,6 +1,9 @@
 DIST apache-tomcat-7.0.82-src.tar.gz 4697342 BLAKE2B 
1106ed04dc83e64e395de29f01a7752a0578b0c88046eb59614a7cfc0d8a98e3aebb698c8eb56763eea41620d9b42482971c5093304184b1028c6bd8f9770ada
 SHA512 
fc92388d81316de0246df4074c417ffa341eab55308c0694e9ea71c5497c863b42019cd1f38628ff640114c501a06c4e9c428cb2b6f1bc1c16fb337a286718db
+DIST apache-tomcat-7.0.84-src.tar.gz 4713409 BLAKE2B 
3dc7766db1492413bbd3f878a2da7392dd4cfd1ca4c3e8a236e380cdfbc0c4ff075665d39871026e61f0bc88e0a84f372fbcef6914af9dc99e6dda05bafc6e48
 SHA512 
ca6b3f17f56a0b1befafd2efbfa07cbe094fb4ab022a3b5d704d249e551b44c6ef0d9691bd1b7c48ccda957efb43045209d11ca1a4aa0a7875e516e3a233cd74
 DIST apache-tomcat-8.0.47-src.tar.gz 4996505 BLAKE2B 
8024ec5248fed57bf1841a320fc23fa8a7a99b2352ea9635f3d4dc903bd363f3a15adc47f48250a4d732ab9c1724443bcb602b459b6ede2e7908051a5c3fdea5
 SHA512 
135de73b8ca7d4003fcecc19a17a8a86ab85fc1054e89638d26e57263249438d8e8aebfca0a2791eaec2bc835baa57e6a05b60e11595aa373fdc03e278b31702
 DIST apache-tomcat-8.0.48-src.tar.gz 5009969 BLAKE2B 
4b1db654d74b02f5fd589590197561496ecfb9b219e445fd18f2e967c78fb95f7fc71a21a6ed9ab5f8c6cee448b74a1729eb3627bcf1a59e2d2748c9c80cc76c
 SHA512 
c56aaa7335c4ef221b2e5de7a7d4946ae1221127f977da5f46a97b062d909abc918b0e6ceb887d98ea5f5b38a26bbe9a3de481972492be593636f6f7e6ef7841
+DIST apache-tomcat-8.0.49-src.tar.gz 5017328 BLAKE2B 
a3494c73fc6b9ffecfe7b09380f9fb3a632e167861f876ac827848e6ae5fd41dc9d3f8a0da9d484edd87b88532de05809c8019941d3a2639e925066ff0a8cc87
 SHA512 
36ae75d37874430ea6b567d8415a9249f104b57afdd8689621f659f6a2c0b229f207e63cdcdfacb1eabd13af567295ff1335cb052abbefe46efdccc20f2d5a73
 DIST apache-tomcat-8.5.23-src.tar.gz 5086043 BLAKE2B 
9bcad0d465aff6da1ba4a846042491bc8d5963283ed1d2530a26ab48289d14e8b85834d24ca476c95a75c1a5f51ee3ecd71c190b9609983cce56b56bc046b6d3
 SHA512 
2848331553f2c1bc51a4113960c6fe7e2beddf9146341dbfde1a27e2232802cfc364c8e8b988ae862371ca1a3be34665a56a28be9eadf80f8b317e0e2525cbef
 DIST apache-tomcat-8.5.24-src.tar.gz 5101516 BLAKE2B 
c19c46cca562f0c4c4733608ec007dd423f9a8ed0595bfb835554a7d08be06b791933e4beacbb0fe472589feae82f7d1a46934c0fb68930343cb2f4589bf6530
 SHA512 
f4ef9a66f2cafb3207c5a38c0f88efc1189e72f02fa88ef2a1b3626a03a57d0ba505b099f6185d747d5ab858aa3f8f3446ae60789312a900ec443eac45233efc
+DIST apache-tomcat-8.5.27-src.tar.gz 5123614 BLAKE2B 
0051a7b5a9d3529a012338e0b12ed5fca218fc6740a0c576d3195a9c7848a78d93d0a6151541e314d82723de1b533b28024eeb231e33b21c38a2c4f702007415
 SHA512 
d3cac3d618283f0c26f861df67223fcb889da750f5e42563ec2ebc17d72169a7639d05d4d42fe403f4e49052962da09bc4b312b012c31309d8a096036baec8ab
 DIST apache-tomcat-9.0.4-src.tar.gz 5073991 BLAKE2B 
7efffbba395d78d5ab051dd2bdb7a1491cb04159421bec17deebcb901bbca5cfec67a651f8e1fcd9a394ba3e0650fc61e7da039f0f979ae60a87f477bc4bc3b8
 SHA512 
bb8777f6fff861a53381b15a4196053abd9cc01e080f0511032f69eb6f57f5c6ed0eafd8a94155f19a4654bce4fad39e0fcaa2e5473cb269bceeb46a2ea43557

diff --git a/www-servers/tomcat/files/tomcat-7.0.84-build.xml.patch 
b/www-servers/tomcat/files/tomcat-7.0.84-build.xml.patch
new file mode 100644
index 00000000000..aa40bd1564a
--- /dev/null
+++ b/www-servers/tomcat/files/tomcat-7.0.84-build.xml.patch
@@ -0,0 +1,161 @@
+diff --git a/build.xml b/build.xml
+index 3f1229c..13894ed 100644
+--- a/build.xml
++++ b/build.xml
+@@ -671,12 +671,14 @@
+       </fileset>
+     </copy>
+     <!-- Copy JSP Schemas and DTDs to be packed into servlet-api.jar -->
++<!--
+     <copy todir="${tomcat.classes}/javax/servlet/resources" 
encoding="ISO-8859-1">
+       <fileset dir="${tomcat.classes}/javax/servlet/jsp/resources">
+         <include name="*" />
+         <exclude name="jspxml*" />
+       </fileset>
+     </copy>
++-->
+ 
+   </target>
+ 
+@@ -733,26 +735,32 @@
+       manifest="${tomcat.manifests}/annotations-api.jar.manifest" />
+ 
+     <!-- Servlet 3.0 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${servlet-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.servlet-api"
+       manifest="${tomcat.manifests}/servlet-api.jar.manifest"
+       notice="${tomcat.manifests}/servlet-api.jar.notice"
+       license="${tomcat.manifests}/servlet-api.jar.license" />
++-->
+ 
+     <!-- JSP 2.2 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${jsp-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.jsp-api"
+       manifest="${tomcat.manifests}/jsp-api.jar.manifest"
+       notice="${tomcat.manifests}/jsp-api.jar.notice"
+       license="${tomcat.manifests}/jsp-api.jar.license" />
++-->
+ 
+     <!-- JSP 2.2 EL Implementation JAR File -->
++<!--
+     <jarIt jarfile="${el-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.el-api"
+       manifest="${tomcat.manifests}/el-api.jar.manifest" />
++-->
+ 
+     <!-- Bootstrap JAR File -->
+     <jarIt jarfile="${bootstrap.jar}"
+@@ -999,9 +1007,9 @@
+ 
+   <target name="deploy" depends="package,build-docs,compile-webapp-examples"
+           description="Default. Builds a working Tomcat instance">
+-
++<!--
+     <copy tofile="${tomcat.build}/bin/commons-daemon.jar" 
file="${commons-daemon.jar}" />
+-
++-->
+     <!-- Copy scripts -->
+     <copy todir="${tomcat.build}/bin">
+       <fileset dir="bin">
+@@ -1060,14 +1068,15 @@
+         <exclude name="${jdt.jar.filename}"/>
+       </fileset>
+     </delete>
++<!--
+     <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/>
+-
++-->
+     <!-- Add sources for examples -->
+     <antcall target="examples-sources" />
+-
++<!--
+     <copy file="${tomcat-dbcp.jar}" todir="${tomcat.build}/lib"
+       failonerror="false"/>
+-
++-->
+     <!-- build the jdbc-pool jar and source jar-->
+     <echo message="Building Tomcat JDBC pool libraries"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1697,7 +1706,7 @@
+ 
+   <target name="extras-webservices-prepare"
+           depends="extras-prepare"
+-          description="Prepare to build web services extras package">
++          description="Prepare to build web services extras package" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${jaxrpc-lib.loc}"/>
+@@ -1886,11 +1895,12 @@
+     </copy>
+ 
+     <!-- Source bundles for native components -->
++<!--
+     <copy tofile="${tomcat.dist}/bin/tomcat-native.tar.gz"
+             file="${tomcat-native.tar.gz}" />
+     <copy tofile="${tomcat.dist}/bin/commons-daemon-native.tar.gz"
+             file="${commons-daemon.native.src.tgz}" />
+-
++-->
+     <!-- platform README files -->
+     <echo append="false" file="${tomcat.dist}/bin/x64/README">
+ Apache Tomcat ${version} native binaries for Win64 AMD64/EMT64 platform.
+@@ -1902,6 +1912,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+     description="Create the Tomcat javadoc" >
+     <fail unless="java.7.home"
+           message="The java.7.home property must be set for javadoc build"/>
++<!--
+     <javadoc packagenames="javax.servlet.*"
+       excludepackagenames="javax.servlet.jsp.*"
+       sourcepath="${tomcat.dist}/src/java"
+@@ -1966,6 +1977,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+         <path location="${ant.core.lib}"/>
+       </classpath>
+     </javadoc>
++-->
+     <javadoc packagenames="javax.websocket.*"
+       sourcepath="${tomcat.dist}/src/java"
+       destdir="${tomcat.dist}/webapps/docs/websocketapi"
+@@ -2006,9 +2018,11 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+         <path refid="tomcat.webservices.classpath"/>
+         <path location="${ant.core.lib}"/>
+       </classpath>
++<!--
+       <link href="../servletapi"/>
+       <link href="../jspapi"/>
+       <link href="../elapi"/>
++-->
+       <link href="../websocketapi"/>
+       <link href="http://docs.oracle.com/javase/7/docs/api/"/>
+       <link 
href="http://commons.apache.org/proper/commons-io/javadocs/api-release/"/>
+@@ -2632,7 +2646,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+   </target>
+ 
+   <target name="download-compile"
+-          description="Download (and build) components necessary to compile" >
++          description="Download (and build) components necessary to compile" 
unless="noget">
+ 
+     <!-- Download Commons Daemon -->
+     <antcall target="downloadgz-2">
+@@ -2675,7 +2689,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+   </target>
+ 
+   <target name="download-test-compile"
+-          description="Download additional components for the tests" >
++          description="Download additional components for the tests" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${junit.loc}"/>
+@@ -2721,7 +2735,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+   </target>
+ 
+   <target name="download-dist"
+-          description="Download additional components for a distribution" >
++          description="Download additional components for a distribution" 
unless="noget">
+ 
+     <antcall target="downloadfile-2">
+       <param name="sourcefile.1" value="${tomcat-native.loc.1}"/>

diff --git a/www-servers/tomcat/files/tomcat-8.0.49-build.xml.patch 
b/www-servers/tomcat/files/tomcat-8.0.49-build.xml.patch
new file mode 100644
index 00000000000..b7e0a283fe2
--- /dev/null
+++ b/www-servers/tomcat/files/tomcat-8.0.49-build.xml.patch
@@ -0,0 +1,267 @@
+diff --git a/build.xml b/build.xml
+index 3152712..9e09384 100644
+--- a/build.xml
++++ b/build.xml
+@@ -718,24 +718,29 @@
+       manifest="${tomcat.manifests}/annotations-api.jar.manifest" />
+ 
+     <!-- Servlet 3.1 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${servlet-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.servlet-api"
+       manifest="${tomcat.manifests}/servlet-api.jar.manifest"
+       notice="${tomcat.manifests}/servlet-api.jar.notice"
+       license="${tomcat.manifests}/servlet-api.jar.license" />
+-
++-->
+     <!-- JSP 2.3 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${jsp-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.jsp-api"
+       manifest="${tomcat.manifests}/jsp-api.jar.manifest" />
++-->
+ 
+     <!-- EL 3.0 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${el-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.el-api"
+       manifest="${tomcat.manifests}/el-api.jar.manifest" />
++-->
+ 
+     <!-- WebSocket 1.1 API JAR File -->
+     <jarIt jarfile="${websocket-api.jar}"
+@@ -1005,9 +1010,9 @@
+ 
+   <target name="deploy" 
depends="package,build-docs,build-tomcat-jdbc,compile-webapp-examples"
+           description="Default. Builds a working Tomcat instance">
+-
++<!--
+     <copy tofile="${tomcat.build}/bin/commons-daemon.jar" 
file="${commons-daemon.jar}" />
+-
++-->
+     <!-- Copy scripts -->
+     <copy todir="${tomcat.build}/bin">
+       <fileset dir="bin">
+@@ -1067,7 +1072,7 @@
+         <exclude name="${jdt.jar.filename}"/>
+       </fileset>
+     </delete>
+-    <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/>
++<!--    <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/> -->
+ 
+     <!-- Add sources for examples -->
+     <antcall target="examples-sources" />
+@@ -1101,7 +1106,7 @@
+     </javac>
+   </target>
+ 
+-  <target name="build-tomcat-jdbc" depends="package">
++  <target name="build-tomcat-jdbc" depends="package" unless="noget">
+     <!-- build the jdbc-pool jar and source jar-->
+     <echo message="Building Tomcat JDBC pool libraries"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1116,7 +1121,7 @@
+     <copy file="${tomcat-jdbc.jar}" todir="${tomcat.build}/lib"/>
+   </target>
+ 
+-  <target name="build-tomcat-jdbc-src">
++  <target name="build-tomcat-jdbc-src" unless="noget">
+     <!-- build the jdbc-pool source jar-->
+     <echo message="Building Tomcat JDBC pool src JAR"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1220,9 +1225,11 @@
+ 
+     <copy file="${basedir}/LICENSE" todir="${tomcat.embed}" />
+     <copy file="${basedir}/NOTICE" todir="${tomcat.embed}" />
++<!--
+     <copy file="${tomcat-dbcp.jar}" todir="${tomcat.embed}"
+       failonerror="false"/>
+     <copy file="${jdt.jar}" todir="${tomcat.embed}" />
++-->
+     <copy file="${annotations-api.jar}" todir="${tomcat.embed}" />
+ 
+     <!-- Note the meta-inf below will work as long as there is only one JAR
+@@ -1615,7 +1622,7 @@
+ 
+   <target name="extras-commons-logging-prepare"
+           depends="extras-prepare"
+-          description="Prepare to build web services extras package">
++          description="Prepare to build web services extras package" 
unless="noget">
+ 
+     <antcall target="downloadfile-2">
+       <param name="sourcefile.1" value="${commons-logging-src.loc.1}"/>
+@@ -1754,7 +1761,7 @@
+ 
+   <target name="extras-webservices-prepare"
+           depends="extras-prepare"
+-          description="Prepare to build web services extras package">
++          description="Prepare to build web services extras package" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${jaxrpc-lib.loc}"/>
+@@ -1941,11 +1948,12 @@
+     </copy>
+ 
+     <!-- Source bundles for native components -->
++<!--
+     <copy tofile="${tomcat.dist}/bin/tomcat-native.tar.gz"
+             file="${tomcat-native.tar.gz}" />
+     <copy tofile="${tomcat.dist}/bin/commons-daemon-native.tar.gz"
+             file="${commons-daemon.native.src.tgz}" />
+-
++-->
+     <!-- platform README files -->
+     <echo append="false" file="${tomcat.dist}/bin/x64/README">
+ Apache Tomcat ${version} native binaries for Win64 AMD64/EMT64 platform.
+@@ -1955,6 +1963,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+ 
+   <target name="javadoc" depends="dist-source,extras-webservices-prepare"
+     description="Create the Tomcat javadoc" >
++<!--
+     <javadoc packagenames="javax.servlet.*"
+       excludepackagenames="javax.servlet.jsp.*"
+       sourcepath="${tomcat.dist}/src/java"
+@@ -2016,6 +2025,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+         <path location="${ant.core.lib}"/>
+       </classpath>
+     </javadoc>
++-->
+     <javadoc packagenames="javax.websocket.*"
+       sourcepath="${tomcat.dist}/src/java"
+       destdir="${tomcat.dist}/webapps/docs/websocketapi"
+@@ -2054,9 +2064,11 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+         <path refid="tomcat.webservices.classpath"/>
+         <path location="${ant.core.lib}"/>
+       </classpath>
++<!--
+       <link href="../servletapi"/>
+       <link href="../jspapi"/>
+       <link href="../elapi"/>
++-->
+       <link href="../websocketapi"/>
+       <link href="http://docs.oracle.com/javase/7/docs/api/"/>
+       <link 
href="http://commons.apache.org/proper/commons-io/javadocs/api-release/"/>
+@@ -2791,7 +2803,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-compile"
+-          description="Download (and build) components necessary to compile" >
++          description="Download (and build) components necessary to compile" 
unless="noget">
+ 
+     <!-- Download Commons Daemon -->
+     <antcall target="downloadgz-2">
+@@ -2811,7 +2823,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-test-compile"
+-          description="Download additional components for the tests" >
++          description="Download additional components for the tests" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${junit.loc}"/>
+@@ -2868,7 +2880,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-dist"
+-          description="Download additional components for a distribution" >
++          description="Download additional components for a distribution" 
unless="noget">
+ 
+     <antcall target="downloadfile-2">
+       <param name="sourcefile.1" value="${tomcat-native.loc.1}"/>
+@@ -2908,18 +2920,18 @@ skip.installer property in build.properties" />
+ 
+   <!-- =============== Utility Targets to support downloads ================ 
-->
+ 
+-  <target name="setproxy" if="${proxy.use}">
++  <target name="setproxy" if="${proxy.use}" unless="noget">
+     <setproxy proxyhost="${proxy.host}" proxyport="${proxy.port}"
+               proxyuser="${proxy.user}" proxypassword="${proxy.password}" />
+     <echo message="Using ${proxy.host}:${proxy.port} to download 
${sourcefile}"/>
+   </target>
+ 
+-  <target name="testexist">
++  <target name="testexist" unless="noget">
+     <echo message="Testing  for ${destfile}"/>
+     <available file="${destfile}" property="exist"/>
+   </target>
+ 
+-  <target name="downloadgz" unless="exist" depends="testexist,setproxy">
++  <target name="downloadgz" unless="noget" depends="testexist,setproxy">
+     <!-- Download and extract the package -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2931,7 +2943,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}.tar.gz"/>
+   </target>
+ 
+-  <target name="downloadgz-2" unless="exist" depends="testexist">
++  <target name="downloadgz-2" unless="noget" depends="testexist">
+     <!-- Download and extract the package from the two alternative locations 
-->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2950,7 +2962,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}.tar.gz"/>
+   </target>
+ 
+-  <target name="downloadzip" unless="exist" depends="testexist,setproxy">
++  <target name="downloadzip" unless="noget" depends="testexist,setproxy">
+     <!-- Download and extract the package -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2961,7 +2973,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}"/>
+   </target>
+ 
+-  <target name="downloadzip-2" unless="exist" depends="testexist">
++  <target name="downloadzip-2" unless="noget" depends="testexist">
+     <!-- Download and extract the package from the two alternative locations 
-->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2979,7 +2991,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}"/>
+   </target>
+ 
+-  <target name="downloadfile" unless="exist" depends="testexist,setproxy">
++  <target name="downloadfile" unless="noget" depends="testexist,setproxy">
+     <!-- Download the file -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2989,7 +3001,7 @@ skip.installer property in build.properties" />
+     <move file="${temp.file}" tofile="${destfile}"/>
+   </target>
+ 
+-  <target name="downloadfile-2" unless="exist" depends="testexist">
++  <target name="downloadfile-2" unless="noget" depends="testexist">
+     <!-- Download the file from the two alternative locations -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -3012,7 +3024,7 @@ skip.installer property in build.properties" />
+     <move file="${temp.file}" tofile="${destfile}"/>
+   </target>
+ 
+-  <target name="trydownload.check" depends="setproxy">
++  <target name="trydownload.check" depends="setproxy" unless="noget">
+     <condition property="trydownload.run">
+       <and>
+         <not>
+@@ -3023,7 +3035,7 @@ skip.installer property in build.properties" />
+     </condition>
+   </target>
+ 
+-  <target name="trydownload" if="trydownload.run" depends="trydownload.check">
++  <target name="trydownload" if="trydownload.run" depends="trydownload.check" 
unless="noget">
+     <!-- Downloads a file if not yet downloaded and the source URL is 
available -->
+     <get src="${sourcefile}" httpusecaches="${trydownload.httpusecaches}" 
dest="${destfile}" />
+   </target>
+@@ -3034,7 +3046,7 @@ skip.installer property in build.properties" />
+ 
+   <target name="ide-eclipse"
+           depends="download-compile, extras-webservices-prepare, 
download-test-compile"
+-          description="Prepares the source tree to be built in Eclipse">
++          description="Prepares the source tree to be built in Eclipse" 
unless="noget">
+ 
+     <!-- Copy the sample project files into the root directory -->
+     <copy file="${tomcat.home}/res/ide-support/eclipse/eclipse.project" 
tofile="${tomcat.home}/.project"/>

diff --git a/www-servers/tomcat/files/tomcat-8.5.27-build.xml.patch 
b/www-servers/tomcat/files/tomcat-8.5.27-build.xml.patch
new file mode 100644
index 00000000000..e08dd17c6cc
--- /dev/null
+++ b/www-servers/tomcat/files/tomcat-8.5.27-build.xml.patch
@@ -0,0 +1,258 @@
+diff --git a/build.xml b/build.xml
+index 2b3c7cf..b8e57e0 100644
+--- a/build.xml
++++ b/build.xml
+@@ -717,24 +717,29 @@
+       manifest="${tomcat.manifests}/annotations-api.jar.manifest" />
+ 
+     <!-- Servlet 3.1 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${servlet-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.servlet-api"
+       manifest="${tomcat.manifests}/servlet-api.jar.manifest"
+       notice="${tomcat.manifests}/servlet-api.jar.notice"
+       license="${tomcat.manifests}/servlet-api.jar.license" />
+-
++-->
+     <!-- JSP 2.3 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${jsp-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.jsp-api"
+       manifest="${tomcat.manifests}/jsp-api.jar.manifest" />
++-->
+ 
+     <!-- EL 3.0 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${el-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.el-api"
+       manifest="${tomcat.manifests}/el-api.jar.manifest" />
++-->
+ 
+     <!-- WebSocket 1.1 API JAR File -->
+     <jarIt jarfile="${websocket-api.jar}"
+@@ -1010,9 +1015,9 @@
+ 
+   <target name="deploy" 
depends="package,build-docs,build-tomcat-jdbc,compile-webapp-examples"
+           description="Default. Builds a working Tomcat instance">
+-
++<!--
+     <copy tofile="${tomcat.build}/bin/commons-daemon.jar" 
file="${commons-daemon.jar}" />
+-
++-->
+     <!-- Copy scripts -->
+     <copy todir="${tomcat.build}/bin">
+       <fileset dir="bin">
+@@ -1072,7 +1077,7 @@
+         <exclude name="${jdt.jar.filename}"/>
+       </fileset>
+     </delete>
+-    <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/>
++<!--    <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/> -->
+ 
+     <!-- Add sources for examples -->
+     <antcall target="examples-sources" />
+@@ -1106,7 +1111,7 @@
+     </javac>
+   </target>
+ 
+-  <target name="build-tomcat-jdbc" depends="package">
++  <target name="build-tomcat-jdbc" depends="package" unless="noget">
+     <!-- build the jdbc-pool jar and source jar-->
+     <echo message="Building Tomcat JDBC pool libraries"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1121,7 +1126,7 @@
+     <copy file="${tomcat-jdbc.jar}" todir="${tomcat.build}/lib"/>
+   </target>
+ 
+-  <target name="build-tomcat-jdbc-src">
++  <target name="build-tomcat-jdbc-src" unless="noget">
+     <!-- build the jdbc-pool source jar-->
+     <echo message="Building Tomcat JDBC pool src JAR"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1225,9 +1230,11 @@
+ 
+     <copy file="${basedir}/LICENSE" todir="${tomcat.embed}" />
+     <copy file="${basedir}/NOTICE" todir="${tomcat.embed}" />
++<!--
+     <copy file="${tomcat-dbcp.jar}" todir="${tomcat.embed}"
+       failonerror="false"/>
+     <copy file="${jdt.jar}" todir="${tomcat.embed}" />
++-->
+     <copy file="${annotations-api.jar}" todir="${tomcat.embed}" />
+ 
+     <!-- Note the meta-inf below will work as long as there is only one JAR
+@@ -1610,7 +1617,7 @@
+ 
+   <target name="extras-webservices-prepare"
+           depends="extras-prepare"
+-          description="Prepare to build web services extras package">
++          description="Prepare to build web services extras package" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${jaxrpc-lib.loc}"/>
+@@ -1750,11 +1757,12 @@
+     </copy>
+ 
+     <!-- Source bundles for native components -->
++<!--
+     <copy tofile="${tomcat.dist}/bin/tomcat-native.tar.gz"
+             file="${tomcat-native.tar.gz}" />
+     <copy tofile="${tomcat.dist}/bin/commons-daemon-native.tar.gz"
+             file="${commons-daemon.native.src.tgz}" />
+-
++-->
+     <!-- platform README files -->
+     <echo append="false" file="${tomcat.dist}/bin/x64/README">
+ Apache Tomcat ${version} native binaries for Win64 AMD64/EMT64 platform.
+@@ -1764,6 +1772,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+ 
+   <target name="javadoc" depends="dist-source,extras-webservices-prepare"
+     description="Create the Tomcat javadoc" >
++<!--
+     <javadoc packagenames="javax.servlet.*"
+       excludepackagenames="javax.servlet.jsp.*"
+       sourcepath="${tomcat.dist}/src/java"
+@@ -1828,6 +1837,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+         <path location="${ant.core.lib}"/>
+       </classpath>
+     </javadoc>
++-->
+     <javadoc packagenames="javax.websocket.*"
+       sourcepath="${tomcat.dist}/src/java"
+       destdir="${tomcat.dist}/webapps/docs/websocketapi"
+@@ -1868,9 +1878,11 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+         <path refid="tomcat.webservices.classpath"/>
+         <path location="${ant.core.lib}"/>
+       </classpath>
++<!--
+       <link href="../servletapi"/>
+       <link href="../jspapi"/>
+       <link href="../elapi"/>
++-->
+       <link href="../websocketapi"/>
+       <link href="http://docs.oracle.com/javase/7/docs/api/"/>
+       <link 
href="http://commons.apache.org/proper/commons-io/javadocs/api-release/"/>
+@@ -2617,7 +2629,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-compile"
+-          description="Download (and build) components necessary to compile" >
++          description="Download (and build) components necessary to compile" 
unless="noget">
+ 
+     <!-- Download Commons Daemon -->
+     <antcall target="downloadgz-2">
+@@ -2637,7 +2649,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-test-compile"
+-          description="Download additional components for the tests" >
++          description="Download additional components for the tests" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${junit.loc}"/>
+@@ -2694,7 +2706,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-dist"
+-          description="Download additional components for a distribution" >
++          description="Download additional components for a distribution" 
unless="noget">
+ 
+     <antcall target="downloadfile-2">
+       <param name="sourcefile.1" value="${tomcat-native.loc.1}"/>
+@@ -2734,18 +2746,18 @@ skip.installer property in build.properties" />
+ 
+   <!-- =============== Utility Targets to support downloads ================ 
-->
+ 
+-  <target name="setproxy" if="${proxy.use}">
++  <target name="setproxy" if="${proxy.use}" unless="noget">
+     <setproxy proxyhost="${proxy.host}" proxyport="${proxy.port}"
+               proxyuser="${proxy.user}" proxypassword="${proxy.password}" />
+     <echo message="Using ${proxy.host}:${proxy.port} to download 
${sourcefile}"/>
+   </target>
+ 
+-  <target name="testexist">
++  <target name="testexist" unless="noget">
+     <echo message="Testing  for ${destfile}"/>
+     <available file="${destfile}" property="exist"/>
+   </target>
+ 
+-  <target name="downloadgz" unless="exist" depends="testexist,setproxy">
++  <target name="downloadgz" unless="noget" depends="testexist,setproxy">
+     <!-- Download and extract the package -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2757,7 +2769,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}.tar.gz"/>
+   </target>
+ 
+-  <target name="downloadgz-2" unless="exist" depends="testexist">
++  <target name="downloadgz-2" unless="noget" depends="testexist">
+     <!-- Download and extract the package from the two alternative locations 
-->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2776,7 +2788,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}.tar.gz"/>
+   </target>
+ 
+-  <target name="downloadzip" unless="exist" depends="testexist,setproxy">
++  <target name="downloadzip" unless="noget" depends="testexist,setproxy">
+     <!-- Download and extract the package -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2787,7 +2799,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}"/>
+   </target>
+ 
+-  <target name="downloadzip-2" unless="exist" depends="testexist">
++  <target name="downloadzip-2" unless="noget" depends="testexist">
+     <!-- Download and extract the package from the two alternative locations 
-->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2805,7 +2817,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}"/>
+   </target>
+ 
+-  <target name="downloadfile" unless="exist" depends="testexist,setproxy">
++  <target name="downloadfile" unless="noget" depends="testexist,setproxy">
+     <!-- Download the file -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2815,7 +2827,7 @@ skip.installer property in build.properties" />
+     <move file="${temp.file}" tofile="${destfile}"/>
+   </target>
+ 
+-  <target name="downloadfile-2" unless="exist" depends="testexist">
++  <target name="downloadfile-2" unless="noget" depends="testexist">
+     <!-- Download the file from the two alternative locations -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2838,7 +2850,7 @@ skip.installer property in build.properties" />
+     <move file="${temp.file}" tofile="${destfile}"/>
+   </target>
+ 
+-  <target name="trydownload.check" depends="setproxy">
++  <target name="trydownload.check" depends="setproxy" unless="noget">
+     <condition property="trydownload.run">
+       <and>
+         <not>
+@@ -2849,7 +2861,7 @@ skip.installer property in build.properties" />
+     </condition>
+   </target>
+ 
+-  <target name="trydownload" if="trydownload.run" depends="trydownload.check">
++  <target name="trydownload" if="trydownload.run" depends="trydownload.check" 
unless="noget">
+     <!-- Downloads a file if not yet downloaded and the source URL is 
available -->
+     <get src="${sourcefile}" httpusecaches="${trydownload.httpusecaches}" 
dest="${destfile}" />
+   </target>
+@@ -2860,7 +2872,7 @@ skip.installer property in build.properties" />
+ 
+   <target name="ide-eclipse"
+           depends="download-compile, extras-webservices-prepare, 
download-test-compile"
+-          description="Prepares the source tree to be built in Eclipse">
++          description="Prepares the source tree to be built in Eclipse" 
unless="noget">
+ 
+     <!-- Copy the sample project files into the root directory -->
+     <copy file="${tomcat.home}/res/ide-support/eclipse/eclipse.project" 
tofile="${tomcat.home}/.project"/>

diff --git a/www-servers/tomcat/tomcat-7.0.84.ebuild 
b/www-servers/tomcat/tomcat-7.0.84.ebuild
new file mode 100644
index 00000000000..4ce5c4efd22
--- /dev/null
+++ b/www-servers/tomcat/tomcat-7.0.84.ebuild
@@ -0,0 +1,146 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit eutils java-pkg-2 java-ant-2 prefix user
+
+MY_P="apache-${P}-src"
+
+DESCRIPTION="Tomcat Servlet-3.0/JSP-2.2 Container"
+HOMEPAGE="https://tomcat.apache.org/";
+SRC_URI="mirror://apache/${PN}/tomcat-7/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="7"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="extra-webapps websockets"
+
+RESTRICT="test" # can we run them on a production system?
+
+ECJ_SLOT="4.5"
+SAPI_SLOT="3.0"
+
+COMMON_DEP="dev-java/eclipse-ecj:${ECJ_SLOT}
+       dev-java/tomcat-servlet-api:${SAPI_SLOT}"
+RDEPEND="${COMMON_DEP}
+       virtual/jre
+       !<dev-java/tomcat-native-1.1.24"
+DEPEND="${COMMON_DEP}
+       virtual/jdk:1.8
+       test? ( dev-java/ant-junit:0 )"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       java-pkg-2_pkg_setup
+       enewgroup tomcat 265
+       enewuser tomcat 265 -1 /dev/null tomcat
+}
+
+src_prepare() {
+       default
+
+       # Remove bundled servlet-api
+       rm -rv java/javax/{el,servlet} || die
+
+       java-pkg_clean
+
+       epatch "${FILESDIR}/${P}-build.xml.patch"
+
+       # For use of catalina.sh in netbeans
+       sed -i -e "/^# ----- Execute The Requested Command/ a\
+               CLASSPATH=\`java-config --classpath ${PN}-${SLOT}\`" \
+               bin/catalina.sh || die
+
+       java-pkg-2_src_prepare
+}
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+
+EANT_BUILD_TARGET="deploy"
+EANT_GENTOO_CLASSPATH="eclipse-ecj-${ECJ_SLOT},tomcat-servlet-api-${SAPI_SLOT}"
+EANT_GENTOO_CLASSPATH_EXTRA="${S}/output/classes"
+EANT_NEEDS_TOOLS="true"
+EANT_EXTRA_ARGS="-Dversion=${PV}-gentoo -Dversion.number=${PV} 
-Dcompile.debug=false"
+
+# revisions of the scripts
+IM_REV="-r1"
+INIT_REV="-r1"
+
+src_compile() {
+       use websockets && EANT_EXTRA_ARGS+=" -Djava.7.home=${JAVA_HOME}"
+       EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjar --build-only ant-core 
ant.jar)"
+       java-pkg-2_src_compile
+}
+
+src_test() {
+       java-pkg-2_src_test
+}
+
+src_install() {
+       local dest="/usr/share/${PN}-${SLOT}"
+
+       java-pkg_jarinto "${dest}"/bin
+       java-pkg_dojar output/build/bin/*.jar
+       exeinto "${dest}"/bin
+       doexe output/build/bin/*.sh
+
+       java-pkg_jarinto "${dest}"/lib
+       java-pkg_dojar output/build/lib/*.jar
+
+       dodoc RELEASE-NOTES RUNNING.txt
+       use doc && java-pkg_dojavadoc output/dist/webapps/docs/api
+       use source && java-pkg_dosrc java/*
+
+       ### Webapps ###
+
+       insinto "${dest}"/webapps
+       doins -r output/build/webapps/{host-manager,manager,ROOT}
+       use extra-webapps && doins -r output/build/webapps/{docs,examples}
+
+       ### Config ###
+
+       # create "logs" directory in $CATALINA_BASE
+       # and set correct perms, see #458890
+       dodir "${dest}"/logs
+       fperms 0750 "${dest}"/logs
+
+       # replace the default pw with a random one, see #92281
+       local randpw=$(echo ${RANDOM}|md5sum|cut -c 1-15)
+       sed -i -e "s|SHUTDOWN|${randpw}|" output/build/conf/server.xml || die
+
+       # prepend gentoo.classpath to common.loader, see #453212
+       sed -i -e 's/^common\.loader=/\0${gentoo.classpath},/' 
output/build/conf/catalina.properties || die
+
+       insinto "${dest}"
+       doins -r output/build/conf
+
+       ### rc ###
+
+       cp 
"${FILESDIR}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} 
"${T}" || die
+       eprefixify 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash}
+       sed -i -e "s|@SLOT@|${SLOT}|g" 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} || die
+
+       insinto "${dest}"/gentoo
+       doins "${T}"/tomcat.conf
+       exeinto "${dest}"/gentoo
+       newexe "${T}"/tomcat${INIT_REV}.init tomcat.init
+       newexe "${T}"/tomcat-instance-manager${IM_REV}.bash 
tomcat-instance-manager.bash
+}
+
+pkg_postinst() {
+       elog "New ebuilds of Tomcat support running multiple instances. If you 
used prior version"
+       elog "of Tomcat (<7.0.32), you have to migrate your existing instance 
to work with new Tomcat."
+       elog "You can find more information at 
https://wiki.gentoo.org/wiki/Apache_Tomcat";
+
+       elog "To manage Tomcat instances, run:"
+       elog "  
${EPREFIX}/usr/share/${PN}-${SLOT}/gentoo/tomcat-instance-manager.bash --help"
+
+       ewarn "tomcat-dbcp.jar is not built at this time. Please fetch jar"
+       ewarn "from upstream binary if you need it. Gentoo Bug # 144276"
+
+#      einfo "Please read 
https://www.gentoo.org/proj/en/java/tomcat6-guide.xml for more information."
+}

diff --git a/www-servers/tomcat/tomcat-8.0.49.ebuild 
b/www-servers/tomcat/tomcat-8.0.49.ebuild
new file mode 100644
index 00000000000..badb0b2ee12
--- /dev/null
+++ b/www-servers/tomcat/tomcat-8.0.49.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit eutils java-pkg-2 java-ant-2 prefix user
+
+MY_P="apache-${P}-src"
+
+DESCRIPTION="Tomcat Servlet-3.1/JSP-2.3/EL-3.0/WebSocket-1.1 Container"
+HOMEPAGE="https://tomcat.apache.org/";
+SRC_URI="mirror://apache/${PN}/tomcat-8/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="8"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="extra-webapps"
+
+RESTRICT="test" # can we run them on a production system?
+
+ECJ_SLOT="4.5"
+SAPI_SLOT="3.1"
+
+COMMON_DEP="dev-java/eclipse-ecj:${ECJ_SLOT}
+       dev-java/tomcat-servlet-api:${SAPI_SLOT}"
+RDEPEND="${COMMON_DEP}
+       !<dev-java/tomcat-native-1.1.24
+       >=virtual/jre-1.7"
+DEPEND="${COMMON_DEP}
+       app-admin/pwgen
+       >=virtual/jdk-1.7
+       test? (
+               >=dev-java/ant-junit-1.9:0
+               dev-java/easymock:3.2
+       )"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       java-pkg-2_pkg_setup
+       enewgroup tomcat 265
+       enewuser tomcat 265 -1 /dev/null tomcat
+}
+
+src_prepare() {
+       default
+
+       find -name '*.jar' -type f -delete -print || die
+
+       # Remove bundled servlet-api
+       rm -rv java/javax/{el,servlet} || die
+
+       epatch "${FILESDIR}/${P}-build.xml.patch"
+
+       # For use of catalina.sh in netbeans
+       sed -i -e "/^# ----- Execute The Requested Command/ a\
+               CLASSPATH=\`java-config --classpath ${PN}-${SLOT}\`" \
+               bin/catalina.sh || die
+
+       java-pkg-2_src_prepare
+}
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+
+EANT_BUILD_TARGET="deploy"
+EANT_GENTOO_CLASSPATH="eclipse-ecj-${ECJ_SLOT},tomcat-servlet-api-${SAPI_SLOT}"
+EANT_TEST_GENTOO_CLASSPATH="easymock-3.2"
+EANT_GENTOO_CLASSPATH_EXTRA="${S}/output/classes"
+EANT_NEEDS_TOOLS="true"
+EANT_EXTRA_ARGS="-Dversion=${PV}-gentoo -Dversion.number=${PV} 
-Dcompile.debug=false"
+
+# revisions of the scripts
+IM_REV="-r2"
+INIT_REV="-r1"
+
+src_compile() {
+       EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjar --build-only ant-core 
ant.jar)"
+       java-pkg-2_src_compile
+}
+
+src_test() {
+       java-pkg-2_src_test
+}
+
+src_install() {
+       local dest="/usr/share/${PN}-${SLOT}"
+
+       java-pkg_jarinto "${dest}"/bin
+       java-pkg_dojar output/build/bin/*.jar
+       exeinto "${dest}"/bin
+       doexe output/build/bin/*.sh
+
+       java-pkg_jarinto "${dest}"/lib
+       java-pkg_dojar output/build/lib/*.jar
+
+       dodoc RELEASE-NOTES RUNNING.txt
+       use doc && java-pkg_dojavadoc output/dist/webapps/docs/api
+       use source && java-pkg_dosrc java/*
+
+       ### Webapps ###
+
+       # add missing docBase
+       local apps="host-manager manager"
+       for app in ${apps}; do
+               sed -i -e "s|=\"true\" >|=\"true\" 
docBase=\"\$\{catalina.home\}/webapps/${app}\" >|" \
+                       output/build/webapps/${app}/META-INF/context.xml || die
+       done
+
+       insinto "${dest}"/webapps
+       doins -r output/build/webapps/{host-manager,manager,ROOT}
+       use extra-webapps && doins -r output/build/webapps/{docs,examples}
+
+       ### Config ###
+
+       # create "logs" directory in $CATALINA_BASE
+       # and set correct perms, see #458890
+       dodir "${dest}"/logs
+       fperms 0750 "${dest}"/logs
+
+       # replace the default pw with a random one, see #92281
+       local randpw="$(pwgen -s -B 15 1)"
+       sed -i -e "s|SHUTDOWN|${randpw}|" output/build/conf/server.xml || die
+
+       # prepend gentoo.classpath to common.loader, see #453212
+       sed -i -e 's/^common\.loader=/\0${gentoo.classpath},/' 
output/build/conf/catalina.properties || die
+
+       insinto "${dest}"
+       doins -r output/build/conf
+
+       ### rc ###
+
+       cp 
"${FILESDIR}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} 
"${T}" || die
+       eprefixify 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash}
+       sed -i -e "s|@SLOT@|${SLOT}|g" 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} || die
+
+       insinto "${dest}"/gentoo
+       doins "${T}"/tomcat.conf
+       exeinto "${dest}"/gentoo
+       newexe "${T}"/tomcat${INIT_REV}.init tomcat.init
+       newexe "${T}"/tomcat-instance-manager${IM_REV}.bash 
tomcat-instance-manager.bash
+}
+
+pkg_postinst() {
+       elog "New ebuilds of Tomcat support running multiple instances. If you 
used prior version"
+       elog "of Tomcat (<7.0.32), you have to migrate your existing instance 
to work with new Tomcat."
+       elog "You can find more information at 
https://wiki.gentoo.org/wiki/Apache_Tomcat";
+
+       elog "To manage Tomcat instances, run:"
+       elog "  
${EPREFIX}/usr/share/${PN}-${SLOT}/gentoo/tomcat-instance-manager.bash --help"
+
+       ewarn "tomcat-dbcp.jar is not built at this time. Please fetch jar"
+       ewarn "from upstream binary if you need it. Gentoo Bug # 144276"
+
+#      einfo "Please read 
https://www.gentoo.org/proj/en/java/tomcat6-guide.xml for more information."
+}

diff --git a/www-servers/tomcat/tomcat-8.5.27.ebuild 
b/www-servers/tomcat/tomcat-8.5.27.ebuild
new file mode 100644
index 00000000000..17a74d0fb02
--- /dev/null
+++ b/www-servers/tomcat/tomcat-8.5.27.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit eutils java-pkg-2 java-ant-2 prefix user
+
+MY_P="apache-${P}-src"
+
+DESCRIPTION="Tomcat Servlet-3.1/JSP-2.3/EL-3.0/WebSocket-1.1/JASPIC-1.1 
Container"
+HOMEPAGE="https://tomcat.apache.org/";
+SRC_URI="mirror://apache/${PN}/tomcat-8/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="8.5"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="extra-webapps"
+
+RESTRICT="test" # can we run them on a production system?
+
+ECJ_SLOT="4.5"
+SAPI_SLOT="3.1"
+
+COMMON_DEP="dev-java/eclipse-ecj:${ECJ_SLOT}
+       >=dev-java/tomcat-servlet-api-${SLOT}:${SAPI_SLOT}"
+RDEPEND="${COMMON_DEP}
+       !<dev-java/tomcat-native-1.1.24
+       >=virtual/jre-1.7"
+DEPEND="${COMMON_DEP}
+       app-admin/pwgen
+       >=virtual/jdk-1.7
+       test? (
+               >=dev-java/ant-junit-1.9:0
+               dev-java/easymock:3.2
+       )"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       java-pkg-2_pkg_setup
+       enewgroup tomcat 265
+       enewuser tomcat 265 -1 /dev/null tomcat
+}
+
+src_prepare() {
+       default
+
+       find -name '*.jar' -type f -delete -print || die
+
+       # Remove bundled servlet-api
+       rm -rv java/javax/{el,servlet} || die
+
+       epatch "${FILESDIR}/${P}-build.xml.patch"
+
+       # For use of catalina.sh in netbeans
+       sed -i -e "/^# ----- Execute The Requested Command/ a\
+               CLASSPATH=\`java-config --classpath ${PN}-${SLOT}\`" \
+               bin/catalina.sh || die
+
+       java-pkg-2_src_prepare
+}
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+
+EANT_BUILD_TARGET="deploy"
+EANT_GENTOO_CLASSPATH="eclipse-ecj-${ECJ_SLOT},tomcat-servlet-api-${SAPI_SLOT}"
+EANT_TEST_GENTOO_CLASSPATH="easymock-3.2"
+EANT_GENTOO_CLASSPATH_EXTRA="${S}/output/classes"
+EANT_NEEDS_TOOLS="true"
+EANT_EXTRA_ARGS="-Dversion=${PV}-gentoo -Dversion.number=${PV} 
-Dcompile.debug=false -Dexecute.validate=false"
+
+# revisions of the scripts
+IM_REV="-r2"
+INIT_REV="-r1"
+
+src_compile() {
+       EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjar --build-only ant-core 
ant.jar)"
+       java-pkg-2_src_compile
+}
+
+src_test() {
+       java-pkg-2_src_test
+}
+
+src_install() {
+       local dest="/usr/share/${PN}-${SLOT}"
+
+       java-pkg_jarinto "${dest}"/bin
+       java-pkg_dojar output/build/bin/*.jar
+       exeinto "${dest}"/bin
+       doexe output/build/bin/*.sh
+
+       java-pkg_jarinto "${dest}"/lib
+       java-pkg_dojar output/build/lib/*.jar
+
+       dodoc RELEASE-NOTES RUNNING.txt
+       use doc && java-pkg_dojavadoc output/dist/webapps/docs/api
+       use source && java-pkg_dosrc java/*
+
+       ### Webapps ###
+
+       # add missing docBase
+       local apps="host-manager manager"
+       for app in ${apps}; do
+               sed -i -e "s|=\"true\" >|=\"true\" 
docBase=\"\$\{catalina.home\}/webapps/${app}\" >|" \
+                       output/build/webapps/${app}/META-INF/context.xml || die
+       done
+
+       insinto "${dest}"/webapps
+       doins -r output/build/webapps/{host-manager,manager,ROOT}
+       use extra-webapps && doins -r output/build/webapps/{docs,examples}
+
+       ### Config ###
+
+       # create "logs" directory in $CATALINA_BASE
+       # and set correct perms, see #458890
+       dodir "${dest}"/logs
+       fperms 0750 "${dest}"/logs
+
+       # replace the default pw with a random one, see #92281
+       local randpw="$(pwgen -s -B 15 1)"
+       sed -i -e "s|SHUTDOWN|${randpw}|" output/build/conf/server.xml || die
+
+       # prepend gentoo.classpath to common.loader, see #453212
+       sed -i -e 's/^common\.loader=/\0${gentoo.classpath},/' 
output/build/conf/catalina.properties || die
+
+       insinto "${dest}"
+       doins -r output/build/conf
+
+       ### rc ###
+
+       cp 
"${FILESDIR}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} 
"${T}" || die
+       eprefixify 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash}
+       sed -i -e "s|@SLOT@|${SLOT}|g" 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} || die
+
+       insinto "${dest}"/gentoo
+       doins "${T}"/tomcat.conf
+       exeinto "${dest}"/gentoo
+       newexe "${T}"/tomcat${INIT_REV}.init tomcat.init
+       newexe "${T}"/tomcat-instance-manager${IM_REV}.bash 
tomcat-instance-manager.bash
+}
+
+pkg_postinst() {
+       elog "New ebuilds of Tomcat support running multiple instances. If you 
used prior version"
+       elog "of Tomcat (<7.0.32), you have to migrate your existing instance 
to work with new Tomcat."
+       elog "You can find more information at 
https://wiki.gentoo.org/wiki/Apache_Tomcat";
+
+       elog "To manage Tomcat instances, run:"
+       elog "  
${EPREFIX}/usr/share/${PN}-${SLOT}/gentoo/tomcat-instance-manager.bash --help"
+
+       ewarn "tomcat-dbcp.jar is not built at this time. Please fetch jar"
+       ewarn "from upstream binary if you need it. Gentoo Bug # 144276"
+
+#      einfo "Please read 
https://www.gentoo.org/proj/en/java/tomcat6-guide.xml for more information."
+}

Reply via email to